package net.minecraft.network.chat;

public class TranslatableFormatException extends IllegalArgumentException {
    public TranslatableFormatException(final TranslatableComponent lp, final String string) {
        super(String.format("Error parsing: %s: %s", lp, string));
    }
    
    public TranslatableFormatException(final TranslatableComponent lp, final int integer) {
        super(String.format("Invalid index %d requested for %s", integer, lp));
    }
    
    public TranslatableFormatException(final TranslatableComponent lp, final Throwable throwable) {
        super(String.format("Error while parsing: %s", lp), throwable);
    }
}
